// DlgScreen.cpp : 구현 파일입니다.
//

#include "stdafx.h"
#include "NZSDK_Sample.h"
#include "DlgScreen.h"
#include "CNZSDK.h"

// CDlgScreen 대화 상자입니다.

unsigned int CDlgScreen::LUM_SCREEN_CLOSED = WM_USER + 100;

IMPLEMENT_DYNAMIC(CDlgScreen, CDialog)

CDlgScreen::CDlgScreen(CWnd* pParent /*=NULL*/)	: CDialog(CDlgScreen::IDD, pParent)
{
	m_nSessionType = 0;
	m_nNrsID = 0;
	m_channel = -1;
	m_stream_no = -1;
	m_sdk = NULL;
	m_pb = FALSE;
}

CDlgScreen::~CDlgScreen()
{
}

void CDlgScreen::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CDlgScreen, CDialog)
	ON_WM_SIZE()
	ON_WM_CLOSE()
	ON_WM_LBUTTONDOWN()
END_MESSAGE_MAP()


// CDlgScreen 메시지 처리기입니다.

void CDlgScreen::OnSize(UINT nType, int cx, int cy)
{
	CDialog::OnSize(nType, cx, cy);

	// TODO: 여기에 메시지 처리기 코드를 추가합니다.
	if( m_sdk )
		m_sdk->Command( NZ_CMD_VIEW_RESIZE, m_channel, m_stream_no );
}

void CDlgScreen::OnClose()
{
	// TODO: 여기에 메시지 처리기 코드를 추가 및/또는 기본값을 호출합니다.
	if( m_sdk )
	{
		GetParent()->PostMessage(LUM_SCREEN_CLOSED, (WPARAM)this);
	}

	CDialog::OnClose();
}

void CDlgScreen::OnLButtonDown(UINT nFlags, CPoint point)
{
	// TODO: 여기에 메시지 처리기 코드를 추가 및/또는 기본값을 호출합니다.

	CDialog::OnLButtonDown(nFlags, point);
}
